--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Maps a C constant to ruby. <tt>names_and_types</tt> is a hash that maps the name of the constant to its C type.
- !ruby/struct:SM::Flow::VERB 
  body: "  builder.map_c_const :C_NAME =&gt; :int\n"
- !ruby/struct:SM::Flow::P 
  body: "If you wish to give the constant a different ruby name:"
- !ruby/struct:SM::Flow::VERB 
  body: "  builder.map_c_const :C_NAME =&gt; [:int, :RUBY_NAME]\n"
full_name: C#map_c_const
is_singleton: false
name: map_c_const
params: (names_and_types)
visibility: public
